CREATE OR REPLACE VIEW view_produtos_empresa AS
SELECT
    e.id_empresa AS id,
    e.nome AS nome_empresa,
    JSON_OBJECTAGG(
        p.id_produto,
        JSON_OBJECT(
            'nome_produto', p.nome,
            'isbn_produto', p.isbn,
            'preco_produto', p.preco,
            'categoria_produto', p.id_categoria_produto,
            'quantidade_produto', ep.quantidade
        )
    ) AS produtos
FROM empresas e
LEFT JOIN produtos p 
    ON p.id_empresa = e.id_empresa
LEFT JOIN estoque_produtos ep 
   ON ep.id_produto_stock = p.id_produto
GROUP BY e.id_empresa, e.nome;
